#pragma once

#include "Polygon3D.h"
#include "Vertex.h"
#include <vector>

using namespace std;

class Model
{
public:
	Model();

	~Model();

	const vector<Polygon3D>& GetPolygons();
	const vector<Vertex>& GetVertices();

	size_t GetPolygonCount();
	size_t GetVerticesCount();

	void AddVertex(float x, float y, float z);
	void AddPolygon(int index0, int index1, int index2);

private:
	vector<Polygon3D> _polygons;
	vector<Vertex> _vertices;
};

